ScrepyDocs

Get Core Web Vitals data

Returns `data: null` when no checked homepage result is available.

GET/projects/{project_uid}/core-web-vitals

Returns data: null when no checked homepage result is available.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.

In: header

Path Parameters

project_uid*string

Accessible project UID. Discover it with GET /projects; do not guess it.

Match^[a-z0-9]{10}$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/core-web-vitals"
{  "data": {    "url": "string",    "last_checked_at": "2019-08-24T14:15:22Z",    "metrics": {      "fcp": {        "value": 0,        "distribution": {          "good": 0,          "needs_improvement": 0,          "poor": 0        },        "history": [          {            "label": "string",            "value": 0,            "status": "string"          }        ]      },      "lcp": {        "value": 0,        "distribution": {          "good": 0,          "needs_improvement": 0,          "poor": 0        },        "history": [          {            "label": "string",            "value": 0,            "status": "string"          }        ]      },      "cls": {        "value": 0,        "distribution": {          "good": 0,          "needs_improvement": 0,          "poor": 0        },        "history": [          {            "label": "string",            "value": 0,            "status": "string"          }        ]      },      "ttfb": {        "value": 0,        "distribution": {          "good": 0,          "needs_improvement": 0,          "poor": 0        },        "history": [          {            "label": "string",            "value": 0,            "status": "string"          }        ]      },      "tbt": {        "value": 0,        "distribution": {          "good": 0,          "needs_improvement": 0,          "poor": 0        },        "history": [          {            "label": "string",            "value": 0,            "status": "string"          }        ]      },      "speed_index": {        "value": 0,        "distribution": {          "good": 0,          "needs_improvement": 0,          "poor": 0        },        "history": [          {            "label": "string",            "value": 0,            "status": "string"          }        ]      }    }  }}